%global namedreltag -rc3
%global namedversion %{version}%{?namedreltag}
Name:          jwnl
Version:       1.4
Release:       %mkrel 0.2.rc4
Group:         Development/Java
Summary:       Java API for accessing the WordNet relational dictionary
License:       BSD
URL:           https://sourceforge.net/projects/jwordnet/
# Source0:       http://downloads.sourceforge.net/jwordnet/jwnl14-rc2.zip
# svn checkout svn://svn.code.sf.net/p/jwordnet/code/trunk/jwnl/  jwnl-1.4-rc3
# tar cJf jwnl-1.4-rc3.tar.xz jwnl-1.4-rc3
Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
JWNL is a Java API for accessing the WordNet relational dictionary.
WordNet is widely used for developing NLP applications, and a Java
API such as JWNL will allow developers to more easily use Java for
building NLP applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

sed -i 's/\r//' changes.txt doc/*

%mvn_file :%{name} %{name}
%mvn_alias %{name}: net.sf.jwordnet:

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc changes.txt doc/*
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.4-0.2.rc4.mga6
+ Revision: 976415
- First rebuild of the java stack
- sync package jwnl with fedora

